Package org.zkoss.idom

## Class Verifier

- java.lang.Object
- - org.zkoss.idom.Verifier

-     public class Verifier
      extends java.lang.Object

  The verifier to verify W3C/DOM related constraints.
  Author:
    tomyeh

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected static java.lang.StringBuffer` | `appendAsHex​(java.lang.StringBuffer sb, char c)` |
    `static void` | `checkAttributeName​(java.lang.String name, org.xml.sax.Locator loc)` | Checks whether an attribute's name is valid.
    `static void` | `checkCData​(java.lang.String data, org.xml.sax.Locator loc)` | Checks whether a CDATA is valid.
    `static void` | `checkCharacterData​(java.lang.String text, org.xml.sax.Locator loc)` | Checks whether a text is valid.
    `static void` | `checkCommentData​(java.lang.String data, org.xml.sax.Locator loc)` | Checks whether a comment data is valid.
    `static void` | `checkElementName​(java.lang.String name, org.xml.sax.Locator loc)` | Checks whether an element's name is valid.
    `static void` | `checkNamespacePrefix​(java.lang.String prefix, org.xml.sax.Locator loc)` | Checks whether the prefix of a namespace is valid.
    `static void` | `checkNamespaceURI​(java.lang.String uri, org.xml.sax.Locator loc)` | Checks whether the URI of a namespace is valid.
    `static void` | `checkPITarget​(java.lang.String target, org.xml.sax.Locator loc)` | Checks whether a processing instruction target is valid.
    `static void` | `checkXMLName​(java.lang.String name, org.xml.sax.Locator loc)` | Checks whether a name is valid.
    `static int` | `decodeSurrogatePair​(char high, char low)` | This is a utility function to decode a non-BMP UTF-16 surrogate pair.
    `static boolean` | `isXMLCharacter​(int c)` | Checks whether a character is valid.
    `static boolean` | `isXMLCombiningChar​(char c)` | Checks whether a character is a combining character according to production 87 of the XML 1.0 specification.
    `static boolean` | `isXMLDigit​(char c)` | Checks whether a character is a digit according to production 88 of the XML 1.0 specification.
    `static boolean` | `isXMLExtender​(char c)` | Checks whether a character is an extender according to production 88 of the XML 1.0 specification.
    `static boolean` | `isXMLLetter​(char c)` | Checks whether a character is a letter.
    `static boolean` | `isXMLLetterOrDigit​(char c)` | Checks whether a character is a letter or digit.
    `static boolean` | `isXMLNameCharacter​(char c)` | Checks whether a character can be part of a name.
    `static boolean` | `isXMLNameStartCharacter​(char c)` | Checks whether a character can be the first character of a name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### checkElementName

          public static final void checkElementName​(java.lang.String name,
                                                    org.xml.sax.Locator loc)

      Checks whether an element's name is valid.

    - #### checkAttributeName

          public static final void checkAttributeName​(java.lang.String name,
                                                      org.xml.sax.Locator loc)

      Checks whether an attribute's name is valid.

    - #### appendAsHex

          protected static final java.lang.StringBuffer appendAsHex​(java.lang.StringBuffer sb,
                                                                    char c)

    - #### checkCharacterData

          public static final void checkCharacterData​(java.lang.String text,
                                                      org.xml.sax.Locator loc)

      Checks whether a text is valid.

    - #### decodeSurrogatePair

          public static int decodeSurrogatePair​(char high,
                                                char low)

      This is a utility function to decode a non-BMP UTF-16 surrogate pair.
      Parameters:
        `high` - high 16 bits
        `low` - low 16 bits
      Returns:
        decoded character

    - #### checkCData

          public static final void checkCData​(java.lang.String data,
                                              org.xml.sax.Locator loc)

      Checks whether a CDATA is valid.

    - #### checkNamespacePrefix

          public static final void checkNamespacePrefix​(java.lang.String prefix,
                                                        org.xml.sax.Locator loc)

      Checks whether the prefix of a namespace is valid.

    - #### checkNamespaceURI

          public static final void checkNamespaceURI​(java.lang.String uri,
                                                     org.xml.sax.Locator loc)

      Checks whether the URI of a namespace is valid.

    - #### checkPITarget

          public static final void checkPITarget​(java.lang.String target,
                                                 org.xml.sax.Locator loc)

      Checks whether a processing instruction target is valid.

    - #### checkCommentData

          public static final void checkCommentData​(java.lang.String data,
                                                    org.xml.sax.Locator loc)

      Checks whether a comment data is valid.

    - #### checkXMLName

          public static void checkXMLName​(java.lang.String name,
                                          org.xml.sax.Locator loc)

      Checks whether a name is valid.

    - #### isXMLCharacter

          public static boolean isXMLCharacter​(int c)

      Checks whether a character is valid.

    - #### isXMLNameCharacter

          public static boolean isXMLNameCharacter​(char c)

      Checks whether a character can be part of a name.

    - #### isXMLNameStartCharacter

          public static boolean isXMLNameStartCharacter​(char c)

      Checks whether a character can be the first character of a name.

    - #### isXMLLetterOrDigit

          public static boolean isXMLLetterOrDigit​(char c)

      Checks whether a character is a letter or digit.

    - #### isXMLLetter

          public static boolean isXMLLetter​(char c)

      Checks whether a character is a letter.

    - #### isXMLCombiningChar

          public static boolean isXMLCombiningChar​(char c)

      Checks whether a character is a combining character according to production 87 of the XML 1.0 specification.

    - #### isXMLExtender

          public static boolean isXMLExtender​(char c)

      Checks whether a character is an extender according to production 88 of the XML 1.0 specification.

    - #### isXMLDigit

          public static boolean isXMLDigit​(char c)

      Checks whether a character is a digit according to production 88 of the XML 1.0 specification.